[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetMenu

Assigns a menu to a window.

## Declaration

Source position: winapih.inc line 249

`public function TWidgetSet.SetMenu(`
`AWindowHandle: HWND;`
`AMenuHandle: HMENU`
`):Boolean; virtual;`

## Arguments

`AWindowHandle` |  | The window handle.
`AMenuHandle` |  | The menu handle.

## Function result

False on failure.